Mail archive
alpine-aports

[alpine-aports] [PATCH 2/3] testing/networkmanager: move post-install message

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Wed, 6 May 2015 11:57:18 +0000

unformatted post-install message moved to:
/usr/share/apk-tools/$pkgname/post-install-message
---
 testing/networkmanager/APKBUILD                    |  4 +++-
 testing/networkmanager/networkmanager.apk-post-msg |  2 ++
 testing/networkmanager/networkmanager.post-install | 14 --------------
 3 files changed, 5 insertions(+), 15 deletions(-)
 create mode 100644 testing/networkmanager/networkmanager.apk-post-msg
 delete mode 100644 testing/networkmanager/networkmanager.post-install
diff --git a/testing/networkmanager/APKBUILD b/testing/networkmanager/APKBUILD
index 9055e21..1aedda1 100644
--- a/testing/networkmanager/APKBUILD
+++ b/testing/networkmanager/APKBUILD
_at_@ -14,12 +14,12 @@ depends_dev="dbus-glib-dev udev-dev libnl3-dev util-linux-dev linux-headers polk
                 modemmanager-dev newt-dev bluez-dev libsoup-dev libteam-dev rp-pppoe valgrind dnsmasq
                 openresolv dhclient vala gtk-doc readline-dev"
 makedepends="$depends_dev intltool ncurses-terminfo"
-install="$pkgname.post-install"
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
 source="http://ftp.gnome.org/pub/GNOME/sources/NetworkManager/$_ver/NetworkManager-$pkgver.tar.xz
 	$pkgname.conf
 	$pkgname.initd
 	$pkgname.rules
+	$pkgname.apk-post-msg
 	new-fix-musl-headers.patch
 	disable_set_hostname.patch
 	"
_at_@ -85,6 +85,8 @@ package() {
 	# allow plugdev users to modify connections
 	install -m644 -D "$srcdir/$pkgname.rules" \
                 "$pkgdir/usr/share/polkit-1/rules.d/01-org.freedesktop.NetworkManager.settings.modify.system.rules" || return 1
+	mkdir -p "$pkgdir/usr/share/apk-tools/$pkgname"
+        install -m644 "$srcdir/$pkgname.apk-post-msg" "$pkgdir/usr/share/apk-tools/$pkgname/post-install-message" || return 1
 }
 
 md5sums="71cae8707a90fa92e28cafbc9262b548  NetworkManager-1.0.0.tar.xz
diff --git a/testing/networkmanager/networkmanager.apk-post-msg b/testing/networkmanager/networkmanager.apk-post-msg
new file mode 100644
index 0000000..9ceedb2
--- /dev/null
+++ b/testing/networkmanager/networkmanager.apk-post-msg
_at_@ -0,0 +1,2 @@
+To modify system network connections without the root password: add your user account to the 'plugdev' group.
+
diff --git a/testing/networkmanager/networkmanager.post-install b/testing/networkmanager/networkmanager.post-install
deleted file mode 100644
index 66392d2..0000000
--- a/testing/networkmanager/networkmanager.post-install
+++ /dev/null
_at_@ -1,14 +0,0 @@
-#!/bin/sh
-
-NORMAL="\033[1;0m"
-STRONG="\033[1;1m"
-GREEN="\033[1;32m"
-
-print_strong() {
-        local prompt="${STRONG}$1 ${GREEN}$2${NORMAL}"
-        printf "${prompt} %s\n"
-}
-
-print_strong "\nTo modify system network connections without the root password:" " add your user account to the 'plugdev' group.\n"
-exit 0
-
-- 
2.4.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed May 06 2015 - 11:57:18 GMT